Bug 953699 - Review Request: python-rencode - Web safe object pickling/unpickling
Review Request: python-rencode - Web safe object pickling/unpickling
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex G.
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 928609 953700 1198312
  Show dependency treegraph
 
Reported: 2013-04-18 20:36 EDT by T.C. Hollingsworth
Modified: 2015-03-03 14:12 EST (History)
4 users (show)

See Also:
Fixed In Version: python-rencode-1.0.2-2.20121209svn33.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 00:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mr.nuke.me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-04-18 20:36:44 EDT
Spec: http://patches.fedorapeople.org/xpra/python-rencode.spec
SRPM: http://patches.fedorapeople.org/xpra/python-rencode-1.0.2-1.20121209svn33.fc19.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5273530
FAS username: patches
Description:
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings.

% rpmlint SRPMS/python-rencode-1.0.2-1.20121209svn33.fc19.src.rpm RPMS/x86_64/python-rencode-1.0.2-1.20121209svn33.fc19.x86_64.rpm RPMS/x86_64/python3-rencode-1.0.2-1.20121209svn33.fc19.x86_64.rpm
python-rencode.src: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling

False positive, Python term for serializing object.

python-rencode.src: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python-rencode.src: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings

False positive, computing terms.

python-rencode.src: W: invalid-url Source0: rencode-1.0.2-r33.tar.xz

Tarball from SVN; instructions for generating listed in comment in the spec file.

python-rencode.x86_64: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling
python-rencode.x86_64: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python-rencode.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python3-rencode.x86_64: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling
python3-rencode.x86_64: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python3-rencode.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings

All addressed above.

3 packages and 0 specfiles checked; 0 errors, 10 warnings.
Comment 1 Alex G. 2013-05-06 15:09:10 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Package consistently uses macro is (instead of hard-coded directory names).
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
==========
Please choose either %{buildroot} OR $RPM_BUILD_ROOT and stick with it.
Don't use both.
----------


===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
==========
> rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests
Is this needed during %install ?
----------
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-rencode
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v3 or later)", "Unknown or generated". 3
     files have unknown license. Detailed output of licensecheck in
     /home/mrnuke/rpmbuild/review/953699-python-rencode/licensecheck.txt
==========
Licenses are compatible. Please add a
# Combined GPLv3+ and BSD
above the License field.
----------
[x]: License file installed when any subpackage combination is installed.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 81920 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
==========
svn checkout instructions work fine.
----------
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-rencode-1.0.2-1.20121209svn33.fc18.x86_64.rpm
          python3-rencode-1.0.2-1.20121209svn33.fc18.x86_64.rpm
python-rencode.x86_64: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling
python-rencode.x86_64: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python-rencode.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python-rencode.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/rencode/_rencode.so 0775L
python3-rencode.x86_64: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling
python3-rencode.x86_64: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python3-rencode.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python3-rencode.x86_64: E: non-standard-executable-perm /usr/lib64/python3.3/site-packages/rencode/_rencode.cpython-33m.so 0775L
2 packages and 0 specfiles checked; 2 errors, 6 warnings.

==========
non-standard-executable-perm: False positive?
-rwxr-xr-x seems standard for site packages.

Spellings are fine.
----------


Rpmlint (installed packages)
----------------------------
# rpmlint python3-rencode python-rencode
python3-rencode.x86_64: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling
python3-rencode.x86_64: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python3-rencode.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python3-rencode.x86_64: E: non-standard-executable-perm /usr/lib64/python3.3/site-packages/rencode/_rencode.cpython-33m.so 0775L
python-rencode.x86_64: W: spelling-error Summary(en_US) unpickling -> unpicking, unpick ling, unpick-ling
python-rencode.x86_64: W: spelling-error %description -l en_US bencode -> encode, b encode, bentwood
python-rencode.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
python-rencode.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/rencode/_rencode.so 0775L
2 packages and 0 specfiles checked; 2 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-rencode (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.3m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python-rencode (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python3-rencode:
    _rencode.cpython-33m.so()(64bit)
    python3-rencode
    python3-rencode(x86-64)

python-rencode:
    python-rencode
    python-rencode(x86-64)



Unversioned so-files
--------------------
python-rencode: /usr/lib64/python2.7/site-packages/rencode/_rencode.so
python3-rencode: /usr/lib64/python3.3/site-packages/rencode/_rencode.cpython-33m.so

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -b 953699
Comment 2 T.C. Hollingsworth 2013-05-06 15:36:41 EDT
Spec: http://patches.fedorapeople.org/xpra/python-rencode.spec
SRPM: http://patches.fedorapeople.org/xpra/python-rencode-1.0.2-1.20121209svn33.fc19.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5336728

* Mon May 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-2.20121209svn33
- use macros consistently
- fix permissions on shared objects
- drop useless setuptools copypasta
- fix License tag
Comment 3 T.C. Hollingsworth 2013-05-06 15:37:12 EDT
Oops, lets try that again with the right SRPM URL this time:

Spec: http://patches.fedorapeople.org/xpra/python-rencode.spec
SRPM: http://patches.fedorapeople.org/xpra/python-rencode-1.0.2-2.20121209svn33.fc19.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5336728

* Mon May 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-2.20121209svn33
- use macros consistently
- fix permissions on shared objects
- drop useless setuptools copypasta
- fix License tag
Comment 4 Alex G. 2013-05-06 15:45:25 EDT
> - drop useless setuptools copypasta
Italian copypasta or New York style copypasta? :p

I see no blockers. APPROVED. :)
Comment 5 T.C. Hollingsworth 2013-05-06 15:55:18 EDT
Thanks for the quick review! :-)

New Package SCM Request
=======================
Package Name: python-rencode
Short Description: Web safe object pickling/unpickling
Owners: patches
Branches: f19 f18 f17 el6
InitialCC:
Comment 6 Jon Ciesla 2013-05-06 16:12:56 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-06 21:30:08 EDT
python-rencode-1.0.2-2.20121209svn33.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-rencode-1.0.2-2.20121209svn33.fc19
Comment 8 Fedora Update System 2013-05-06 21:30:57 EDT
python-rencode-1.0.2-2.20121209svn33.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-rencode-1.0.2-2.20121209svn33.fc18
Comment 9 Fedora Update System 2013-05-07 16:45:11 EDT
python-rencode-1.0.2-2.20121209svn33.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-05-13 20:14:40 EDT
python-rencode-1.0.2-2.20121209svn33.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-rencode-1.0.2-2.20121209svn33.fc17
Comment 11 Fedora Update System 2013-05-14 00:46:54 EDT
python-rencode-1.0.2-2.20121209svn33.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-05-29 22:56:43 EDT
python-rencode-1.0.2-2.20121209svn33.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-05-29 23:04:35 EDT
python-rencode-1.0.2-2.20121209svn33.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.